VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Drawing Pictures On Windows"
   ClientHeight    =   3195
   ClientLeft      =   3120
   ClientTop       =   1830
   ClientWidth     =   5055
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   5055
   Begin VB.TextBox txtWindowHandle 
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   3180
      TabIndex        =   4
      Text            =   "0"
      Top             =   1500
      Width           =   1815
   End
   Begin VB.Timer Timer1 
      Interval        =   10
      Left            =   3540
      Top             =   1980
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Set Background"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   3180
      TabIndex        =   1
      Top             =   60
      Width           =   1815
   End
   Begin VB.PictureBox Picture1 
      Height          =   3060
      Left            =   0
      Picture         =   "Form1.frx":0000
      ScaleHeight     =   3000
      ScaleWidth      =   3000
      TabIndex        =   0
      Top             =   120
      Width           =   3060
   End
   Begin VB.Label Label2 
      Caption         =   "Handle of the window to draw the picture on:"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   435
      Left            =   3180
      TabIndex        =   3
      Top             =   960
      Width           =   1815
   End
   Begin VB.Label Label1 
      Caption         =   " Window Handle:"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   255
      Left            =   3180
      TabIndex        =   2
      Top             =   660
      Width           =   1815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Drawing Pictures On Windows
' by PAT or JK (Patrick Gillespie)

' Date: 3.17.00
' Site: http://www.patorjk.com/

' About:
' This is an example on how to draw an image onto another
' window. It should work fine for most windows. The only thing
' is that you'll have to subclass the window and redraw the
' picture each time the window changes in appearance if you want
' to keep that picture on the window.

' To do this you'll need spyworks' subclassing control. Since
' I don't have this control I can't show you how to do it. But
' I can still show you the part on how to draw an image on a
' window.

' Note: To remove the image once it's drawn on the window, just
' use the form as an eraser and move it over the window. Also,
' I didn't make the image in this example, it was just an image
' I found on a background images site.

Option Explicit

Private Declare Function GetDC Lib "user32" (ByVal hwnd As Long) As Long
Private Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
Private Declare Function GetWindowRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Private Declare Function SendMessageLong Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Long) As Long
Private Declare Function WindowFromPoint Lib "user32" (ByVal xPoint As Long, ByVal yPoint As Long) As Long
Private Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long

Private Const SRCCOPY = &HCC0020 ' (DWORD) dest = source

Private Type POINTAPI
        x As Long
        y As Long
End Type

Private Type RECT
        Left As Long
        Top As Long
        Right As Long
        Bottom As Long
End Type

Private Sub Command1_Click()
    Dim i As Integer, i2 As Integer, TheRect As RECT, Win As Long
    ' Get the handle of the window that the user picked
    Win = Val(txtWindowHandle.Text)
    ' Set picture1 to pixels mode
    Picture1.ScaleMode = 3
    ' Get the size of the window
    Call GetWindowRect(Win, TheRect)
    ' Loop through and draw the picture on the window
    For i = 0 To (TheRect.Right - TheRect.Left) Step Picture1.ScaleWidth
        For i2 = 0 To (TheRect.Bottom - TheRect.Top) Step Picture1.ScaleHeight
            Call BitBlt(GetDC(Win), i, i2, i + Picture1.Width, i2 + Picture1.Height, Picture1.hDC, 0, 0, SRCCOPY)
        Next
    Next
End Sub

Private Sub Form_Load()
    Picture1.AutoRedraw = True
End Sub

Private Sub Timer1_Timer()
    Dim WindowOver As Long, ThePos As POINTAPI
    Static OldHandle As Long
    Call GetCursorPos(ThePos)
    ' Get the handle of the window the mouse is over
    WindowOver = WindowFromPoint(ThePos.x, ThePos.y)
    ' Just so we're not constantly updating the label
    If WindowOver <> OldHandle Then
        Label1.Caption = " Window Handle: " & WindowOver
    End If
    OldHandle = WindowOver
End Sub
